Loading...
Searching...
No Matches
ISMRMRD::NDArray< T > Class Template Reference
C++ API

N-Dimensional array type. More...

`#include <ismrmrd.h>`

## Public Member Functions

| NDArray (const std::vector< size_t > dimvec)
| NDArray (const NDArray< T > &other)
NDArray< T > & | operator= (const NDArray< T > &other)
ISMRMRD_DataTypes | getDataType () const
uint16_t | getVersion () const
uint16_t | getNDim () const
const size_t(& | getDims () const)[ISMRMRD_NDARRAY_MAXDIM]
size_t | getDataSize () const
void | resize (const std::vector< size_t > dimvec)
size_t | getNumberOfElements () const
T * | getDataPtr ()
const T * | getDataPtr () const
T * | begin ()
T * | end ()
T & | operator() (uint16_t x, uint16_t y=0, uint16_t z=0, uint16_t w=0, uint16_t n=0, uint16_t m=0, uint16_t l=0)

## Protected Attributes

ISMRMRD_NDArray | arr

## Friends

class | Dataset

## Detailed Description

template<typename T>
class ISMRMRD::NDArray< T >

N-Dimensional array type.

## Member Function Documentation

## begin()

template<typename T>

T * ISMRMRD::NDArray< T >::begin | ( |  | ) |

Returns iterator to the beginning of the array

## end()

template<typename T>

T * ISMRMRD::NDArray< T >::end | ( |  | ) |

Returns iterator to the end of the array

## operator()()

template<typename T>

T & ISMRMRD::NDArray< T >::operator() | ( | uint16_t | x,
|  | uint16_t | y = 0,
|  | uint16_t | z = 0,
|  | uint16_t | w = 0,
|  | uint16_t | n = 0,
|  | uint16_t | m = 0,
|  | uint16_t | l = 0 )

Returns a reference to the image data

The documentation for this class was generated from the following files:

- ismrmrd.h
- ismrmrd.cpp